# suggestion list views

from analyses.analysisbase.views import suggestions as base_views
from analyses.fires import models as app_models
from analyses.fires import forms as app_forms
from analyses.fires import tables as app_tables

from utils import crud

class MixIn(object):
    "Common items for object views"
    appconfig = app_models.AppConfig
    model = appconfig.get_model('suggestionlist')

class display_suggestionlist(MixIn, base_views.display_suggestionlist):
    pass

class display_scenarios(MixIn, base_views.display_scenarios):
    pass

class display(MixIn, crud.TabContainer):
    tabviews = {
        'suggestionlist': display_suggestionlist(),
        'scenarios': display_scenarios(),
    }
    default = 'suggestionlist'

class edit(MixIn, base_views.edit):
    pass

class delete(MixIn, base_views.delete):
    pass

class report(MixIn, base_views.report):
    pass

class add(MixIn, base_views.add):
    pass

class compare(MixIn, base_views.compare):
    pass

class publish(MixIn, base_views.publish):
    pass

class SuggestionlistListObject(MixIn, base_views.SuggestionlistListObject):
    pass

class suggestionlists(MixIn, base_views.suggestionlists):
    listobject = SuggestionlistListObject()

class suggestionlists_for_scope(MixIn, base_views.suggestionlists_for_scope):
    pass

class SuggestionListInline(MixIn, base_views.SuggestionListInline):
    pass

class suggestionlist_for_scope(MixIn, base_views.suggestionlist_for_scope):
    inline = SuggestionListInline

class allsuggestionlistsreport(MixIn, base_views.allsuggestionlistsreport):
    pass

views = {
    'display': display(),
    'edit': edit(),
    'delete': delete(),
    'report': report(),
    'add': add(),
    'compare': compare(),
    'publish': publish(),
    'suggestionlists': suggestionlists(),
    'suggestionlists_for_scope': suggestionlists_for_scope(),
    'suggestionlist_for_scope': suggestionlist_for_scope(),
    'allsuggestionlistsreport': allsuggestionlistsreport(),

}







