from django.conf import settings
from django.contrib.auth.models import User
from django.core.management.base import NoArgsCommand, CommandError
from django.db import transaction
from analyses.main import analysesmodules

import datetime

class Command(NoArgsCommand):
    help = "Deletes all system suggestion lists."

    @transaction.commit_on_success
    def handle_noargs(self, **options):
        try:
            user = User.objects.get(username='__SYSTEM__')
        except User.DoesNotExist:
            raise CommandError("System user not found")
        for module in analysesmodules.get_items_sorted():
            for item in module['appconfig'].get_model('suggestionlist').objects.filter(system=True):
                item.delete(user, override=True)
            for item in module['appconfig'].get_model('apsuggestionlist').objects.filter(system=True):
                item.delete(user, override=True)

