from django import template

register = template.Library()

@register.filter
def get( dict, key ):
  try:
    return dict.__getitem__(key)
  except:
    return u''

@register.tag
def getcallable(parser, token):
    """
    {% getcallable object callable argument as var %}
    """
    bits = token.contents.split()
    if len(bits) != 6:
        raise template.TemplateSyntaxError, "'%s' tag takes five arguments" % bits[0]
    if bits[4] != 'as':
        raise template.TemplateSyntaxError, "Fourth argument to '%s' tag must be 'as'" % bits[0]
    return getcallableNode(bits[1], bits[2], bits[3], bits[5])

class getcallableNode(template.Node):
    def __init__(self, object, function, argument, varname):
        self.varname = varname
        self.object = template.Variable(object)
        self.function = function
        self.argument = template.Variable(argument)

    def render(self, context):
        try:
            func = getattr(self.object.resolve(context),self.function)
        except AttributeError:
            return ''
        try:
            res = func(self.argument.resolve(context))
        except:
            return ''
        context[self.varname] = res
        return ''
